### DB_ENV->set_errfile

`

###

    #include <db.h>

    void
    DB_ENV->set_errfile(DB_ENV *dbenv, FILE *errfile);

    void
    DB_ENV->get_errfile(DB_ENV *dbenv, FILE **errfilep);

### Description: DB_ENV->set_errfile

When an error occurs in the Berkeley DB library, a Berkeley DB error or an error return value is returned by the interface. In some cases, however, the errno value may be insufficient to completely describe the cause of the error especially during initial application debugging.

The DB_ENV->set_errfile and DB->set_errfile methods are used to enhance the mechanism for reporting error messages to the application by setting a C library FILE * to be used for displaying additional Berkeley DB error messages. In some cases, when an error occurs, Berkeley DB will output an additional error message to the specified file reference.

The error message will consist of the prefix string and a colon (":") (if a prefix string was previously specified using DB->set_errpfx or DB_ENV->set_errpfx), an error string, and a trailing <newline> character.

This error logging enhancement does not slow performance or significantly increase application size, and may be run during normal operation as well as during application debugging.

The DB_ENV->set_errfile method may be called at any time during the life of the application.

### Parameters

errfile
  The errfile parameter is a C library FILE * to be used for displaying additional Berkeley DB error information.

### Description: DB_ENV->get_errfile

The DB_ENV->get_errfile method returns the FILE *.

The DB_ENV->get_errfile method may be called at any time during the life of the application.

The DB_ENV->get_errfile method returns a non-zero error value on failure and 0 on success.

### Parameters

errfilep
  The DB_ENV->get_errfile method returns the FILE * in errfilep.

### Class

DB_ENV

### See Also

Database Environments and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.